Redland Issue Tracker

Redland bug tracker - Redland - Redland Bindings - Raptor site - Rasqal site



View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000485Redland librdf RDF APIinstallationpublic2011-12-02 08:242011-12-03 16:08
Reporterandyl 
Assigned ToDave Beckett 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacOSOS X LionOS Version10.7.2
Product Version1.0.14 
Target VersionFixed in Version1.0.15 
Summary0000485: No rule to make target `-lltdl', needed by `librdf.la'. Stop.
Descriptionmake fails:

[...]
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I/opt/local/include/db46 -I/opt/local/include/raptor2 -I/opt/local/include/rasqal -I/opt/local/include/raptor2 -DPKGDATADIR=\"/opt/local/share/redland\" -I/opt/local/include/db46 -I/opt/local/include/db46 -I/opt/local/include/raptor2 -I/opt/local/include/rasqal -I/opt/local/include/raptor2 -DREDLAND_MODULE_PATH=\"/usr/local/lib/redland:/opt/local/lib/redland\" -DLIBRDF_INTERNAL=1 -g -O2 -MT rdf_hash_bdb.lo -MD -MP -MF .deps/rdf_hash_bdb.Tpo -c rdf_hash_bdb.c -o rdf_hash_bdb.o >/dev/null 2>&1
mv -f .deps/rdf_hash_bdb.Tpo .deps/rdf_hash_bdb.Plo
make[3]: *** No rule to make target `-lltdl', needed by `librdf.la'. Stop.
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
make: *** [all-recursive] Error 1

I've found some people commenting out "-lltdl" in src/Makefile: https://trac.macports.org/ticket/30632 - my experience was that it will compile, however, fail at runtime when importing in a python module:

new-host-3:redland-bindings-1.0.14.1 dorgon$ python
Python 2.7.1 (r271:86832, Jul 31 2011, 19:30:53)
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import RDF
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Library/Python/2.7/site-packages/RDF.py", line 126, in <module>
    import Redland
ImportError: dlopen(/Library/Python/2.7/site-packages/Redland.so, 2): Symbol not found: _lt_dlclose
  Referenced from: /opt/local/lib/librdf.0.dylib
  Expected in: flat namespace
 in /opt/local/lib/librdf.0.dylib

I guess the symbol not found has to do with the patched Makefile.

What exactly is causing the build time error?
Steps To Reproducein this order:
- raptor2-2.0.6
- rasqal-0.9.28
- redland-1.0.14
download/configure/make - the error occurs when building redland-1.0.14

I've then commented out "-lltdl" in redland-1.0.14/src/Makefile:

librdf_la_LIBADD = \
  rdf_digest_md5.lo rdf_digest_sha1.lo rdf_hash_bdb.lo \
 #-lltdl

librdf_la_DEPENDENCIES = \
 rdf_digest_md5.lo rdf_digest_sha1.lo rdf_hash_bdb.lo \
 #-lltdl

and it compiled. Then I successfully compiled redland-bindings-1.0.14.1 --with-python

import RDF causes the runtime error shown above.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001882)
Dave Beckett (administrator)
2011-12-03 11:28

GIT commit 0783a7364f3400c9b6ae3ca87e98b8f3c13b9d62 should fix this. Removing -lltdl isn't the answer since it does need to be linked in somehow - either statically or dynamically. It should be in librdf_la_LIBADD I think
(0001885)
Dave Beckett (administrator)
2011-12-03 16:08

Lets call this fixed (since I can't dup it) and if it's still not working in 1.0.15 when released, reopen.

Or try the GIT version and let me know.

- Issue History
Date Modified Username Field Change
2011-12-02 08:24 andyl New Issue
2011-12-03 11:28 Dave Beckett Note Added: 0001882
2011-12-03 16:08 Dave Beckett Note Added: 0001885
2011-12-03 16:08 Dave Beckett Status new => closed
2011-12-03 16:08 Dave Beckett Assigned To => Dave Beckett
2011-12-03 16:08 Dave Beckett Resolution open => fixed
2011-12-03 16:08 Dave Beckett Fixed in Version => 1.0.15


Copyright © 2000 - 2016 Dave Beckett
Powered by Mantis Bugtracker